Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007573 [DCSS] Bug Report minor have not tried 2013-09-24 03:32 2014-05-17 18:41
Reporter WalkerBoh View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.13 ancient branch
Summary 0007573: Red devils attack from out of LoS
Description If you're in a situation where the only place for a red devil to retreat is out of LoS, you can get a situation where it jumps back and then attacks, even though it's now out of sight. Then you get a message that "something hits you".

I'll try to reproduce it and post a screenshot at some point.
Additional Information
Tags No tags attached.
Attached Files png file icon red_devil.png [^] (528,830 bytes) 2013-09-25 02:42

- Relationships

-  Notes
(0024084)
Cryptic (developer)
2013-09-24 18:59

What kind of character were you playing? What action were you doing when the red devil attacked?

Its possible that the red devil attacked you and then moved out of LOS? Not sure if that would produce a "something hits you" message.
(0024085)
Wahaha (reporter)
2013-09-25 02:42

Very easy to reproduce. Added a screenshot.
(0024088)
WalkerBoh (reporter)
2013-09-25 20:33

Yeah I don't remember which character I was playing. Wahaha's screenshot captured exactly what I saw.
(0024113)
neil (administrator)
2013-09-29 18:38

Fixed in trunk (0.14-a0-53-gf4aae92) and beta (0.13-b1-14-g215694d), thanks! Now they strike at the beginning, rather than end, of the hop, and the hopping message itself checks for visibility at either endpoint.

- Issue History
Date Modified Username Field Change
2013-09-24 03:32 WalkerBoh New Issue
2013-09-24 18:59 Cryptic Note Added: 0024084
2013-09-25 02:42 Wahaha File Added: red_devil.png
2013-09-25 02:42 Wahaha Note Added: 0024085
2013-09-25 20:33 WalkerBoh Note Added: 0024088
2013-09-29 18:38 neil Note Added: 0024113
2013-09-29 18:38 neil Status new => resolved
2013-09-29 18:38 neil Fixed in Branch => 0.13 development branch
2013-09-29 18:38 neil Resolution open => done
2013-09-29 18:38 neil Assigned To => neil
2014-05-17 18:41 WalkerBoh Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker